<div class="container">
    <div class="row mt-4">
      <div class="col text-center">
        <h3>Configuração do percentual de balanceamento</h3>
      </div>
    </div>
</div>
<br>
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <h4>Percentual de balanceamento por loja:</h4>
        </div>
    </div>
    <br>
    <div class="row" *ngIf="lojaMolekada && lojaAmalook">
        <div class="col-md-2">
            <label>Molekada</label>
            <br>
            <input type="text" class="input-table" pInputText [(ngModel)]="lojaMolekada.percentual_balanceamento" 
            [disabled]="!lojaMolekada.checked"/> %
            <div class="mt-2">
                <p-checkbox [(ngModel)]="lojaMolekada.checked" [binary]="true" (click)="changePercent(lojaMolekada, null, true)"></p-checkbox>
            </div>
        </div>
        <div class="col-md-2">
            <label>Amalook</label>
            <br>
            <input type="text" class="input-table" pInputText [(ngModel)]="lojaAmalook.percentual_balanceamento" 
            [disabled]="!lojaAmalook.checked" /> %
            <div class="mt-2">
                <p-checkbox [(ngModel)]="lojaAmalook.checked" [binary]="true" (click)="changePercent(lojaAmalook, null, true)"></p-checkbox>
            </div>
        </div>
        <div class="col-md-2">
            <label>Mini Magia</label>
            <br>
            <input type="text" class="input-table" pInputText [(ngModel)]="lojaMiniMagia.percentual_balanceamento" 
            [disabled]="!lojaMiniMagia.checked"/> %
            <div class="mt-2">
                <p-checkbox [(ngModel)]="lojaMiniMagia.checked" [binary]="true" (click)="changePercent(lojaMiniMagia, null, true)"></p-checkbox>
            </div>
        </div>
        <div class="col-md-2">
            <button [disabled]="isLoadingLojas" pButton type="button" label="Salvar" (click)="onSaveLojas()" class="top-button"></button>
            <i *ngIf="isLoadingLojas" class="pi pi-spin pi-spinner" style="font-size: 2rem"></i>
        </div>
    </div>
    <div class="row" *ngIf="error">
        <p class="col-12 mr-3 pt-3 text-danger">A soma dos percentuais deve dar 100</p>
    </div>
    <br>
    <br>
    <div class="row">
        <div class="col-md-12">
            <h4>Percentual de balanceamento por produto:</h4>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-md-4">
            <input pInputText type="text" name="fitler" [(ngModel)]="filter" style="width: 100%;" placeholder="Digite o código do produto..." (ngModelChange)="filterList()"/>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-md-12">
            <p-table *ngIf="produtos" [columns]="colsCadCom" #dt [value]="produtos.contents" selectionMode="single" dataKey="codigo" (sortFunction)="sortList($event)" [customSort]="true">
                <ng-template pTemplate="header" let-columns>
                    <tr>
                        <th pSortableColumn="codigo">Código <p-sortIcon field="codigo"></p-sortIcon></th>
                        <th>Produto</th>
                        <th pSortableColumn="percentual_molekada">Percentual Molekada<p-sortIcon field="percentual_molekada"></p-sortIcon></th>
                        <th pSortableColumn="percentual_amalook">Percentual Amalook<p-sortIcon field="percentual_amalook"></p-sortIcon></th>
                        <th pSortableColumn="percentual_mini_magia">Percentual Mini Magia<p-sortIcon field="percentual_mini_magia"></p-sortIcon></th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-rowData let-columns>
                    <tr [pSelectableRow]="rowData">
                        <td>{{columns.codigo}}</td>
                        <td>{{columns.name}}</td>
                        <td>
                            <div class="d-flex align-items-center justify-content-around">
                                <p-checkbox [(ngModel)]="columns.molekadaCheck" [binary]="true" (onChange)="changePercent(columns, 'Molekada', null, 'molekadaCheck')"></p-checkbox>
                                <input  type="text" class="input-table" pInputText [(ngModel)]="columns.percentual_molekada" [disabled]="!columns.molekadaCheck"/> %
                            </div>
                        </td>
                        <td>
                            <div class="d-flex align-items-center justify-content-around">
                                <p-checkbox [(ngModel)]="columns.amalookCheck" [binary]="true" (onChange)="changePercent(columns, 'Amalook', null, 'amalookCheck')"></p-checkbox>
                                <input type="text" class="input-table" pInputText [(ngModel)]="columns.percentual_amalook" [disabled]="!columns.amalookCheck"/> %
                            </div>
                        </td>
                        <td>
                            <div class="d-flex align-items-center justify-content-around">
                                <p-checkbox [(ngModel)]="columns.miniMagiaCheck" [binary]="true" (onChange)="changePercent(columns, 'Mini Magia', null, 'miniMagiaCheck')"></p-checkbox>
                                <input type="text" class="input-table" pInputText [(ngModel)]="columns.percentual_mini_magia" [disabled]="!columns.miniMagiaCheck"/> %
                            </div>
                        </td>
                        <td style="color: red;">{{columns.erro}}</td>
                    </tr>
                </ng-template>
            </p-table>
            <p-paginator [rows]="tableRows" [totalRecords]="totalElements"
            (onPageChange)="paginate($event)"></p-paginator>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-md-12">
            <button [disabled]="isLoadingProdutos" pButton type="button" label="Salvar Lote" (click)="onSaveProducts()"></button>
            <i *ngIf="isLoadingProdutos" class="pi pi-spin pi-spinner" style="font-size: 2rem"></i>
        </div>
    </div>
    <br>
    <br>
</div>

<p-dialog *ngIf="showModal" [modal]="true" [(visible)]="showModal">
    <span [innerHTML]="msgModal"></span>
    <p-footer>
      <button pButton type="button" label="Cancelar" class="p-button-link text-danger"
      (click)="showModal = false" *ngIf="callFunctionConfirm"></button>
      <p-button type="button" label="Confirmar" (click)="callFunctionConfirm ? confirm() : showModal = false"></p-button>
    </p-footer>
  </p-dialog>
  